.h1_delicias, .h2_delicias {
  text-align: center;
  }

  .h1_delicias {
  font-family: 'Kaushan Script', cursive;
  font-size: 40px;
  margin: 10px 0;
  color: #814827;
  margin-top: 20px;
  }

  .h2_delicias {
  font-family: 'Inter', sans-serif;
  font-size: 24px;
  color: #95613D;
  }

.main-container {
  display: flex;
  justify-content: center; /* centraliza horizontalmente as colunas */
  align-items: flex-start; /* mantém todas na mesma altura inicial */
  max-width: 1200px;
  margin: auto;
  gap: 60px; /* espaço entre colunas */
}

.menu-column, .cakes-section {
  display: flex;
  flex-direction: column;
  margin-top: 20px;
  gap: 20px;
  margin-left: auto; 
  margin-right: auto;
  justify-content: flex-start; /* mantém itens dentro da coluna alinhados ao topo */
}

.menu-section {
  background-color: #421E12;
  color: #fff;
  border-radius: 15px; 
  width: 100%;
  padding: 20px;
  box-shadow: 0 4px 10px rgba(0,0,0,0.1);
}

.cakes-section {
  margin: 0; /* remove margens automáticas que podem desalinhar */
  
}

/* Coluna com imagem*/
.menu-row {
  display: flex;
  align-items: stretch;
  gap: 10px;
  margin-bottom: 30px;
}

.menu-card-image {
  padding: 10px;
  border-radius: 20px;        
  width: 160px;
  height: 210px;               
  display: flex;
  align-items: center;
  justify-content: center;
  border: 8px solid #4a2e1e;   
  overflow: hidden;           
}

.menu-card-image img {
  width: 200%;
  height: 200%;
  object-fit: cover;/* preenche sem distorcer */
  border-radius: 12px;       
}

/* Coluna de bolos */
  .menu-section h3 {
  background-color: #AC6D36;
  color: #fff;
  padding: 5px 10px;
  border-radius: 5px;
  margin-bottom: 10px;
  font-size: 18px;
  display: inline-block;
  }

  .menu-item {
  display: flex;
  justify-content: space-between;
  margin-bottom: 8px;
  font-size: 16px;
  }

  .menu-item span {
  font-weight: 600;
  }

  .cakes-section {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px;
  margin-top: 20px;
  max-width: 600px; 
  margin-left: auto;
  margin-right: auto;
  }

  .cake-item {
  padding: 10px;
  text-align: center;
  }

  .cake-item img {
  display: block;
  margin: 0 auto;
  width: 100%;
  max-width: 250px;
  height: auto;
  border-radius: 8px; 
  }


  .cake-info h4 {
  margin: 10px 0 5px;
  color: #4E1E2D;
  text-align: left;
  margin-top: 10px;
  }

  .cake-info p {
  font-size: 14px;
  color: #4E1E2D;
  text-align: left;
  width: 100%;    
  display: block;/* força comportamento de bloco */
  }

  .price {
  margin-top: 8px;
  font-weight: bold;
  color: #975C30;
  text-align: left;
  }

.cakes-section .see-more {
  text-align: right;
  margin-top: 10px;
  text-decoration: underline;
  font-size: 12px;
}

.cakes-section .see-more a {
  padding: 10px 20px;
  color: #421E12;
 
}

@media (max-width: 900px) {
  .main-container {
    flex-direction: column; /* empilha as colunas */
    align-items: center;    /* centraliza os itens */
  }

  .cakes-section {
    margin-top: -35px;
    grid-template-columns: 1fr; /* bolos em uma coluna só */
    max-width: 100%;
  }
  .cakes-section .see-more {
  text-align: center; 
  margin-top: -5px;
  font-size: 12px;
}

.cakes-section .see-more a {
  padding: 10px 20px;
  border-radius: 8px;
  color: #421E12;
}
}

@media screen and (max-width: 450px){
  .menu-row{
    flex-direction: column;
    align-items: center;
  }

  .menu-card-image img{
    width: 150%;
  }
}

.reveal {
  opacity: 0;
  transform: translateY(50px);
  will-change: opacity, transform;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
  transition: all 0.8s ease; /* só quando entra */
}



